org.apache.tamaya.inject.spi

## Interface ConfiguredField

-     public interface ConfiguredField

  Abstract model of an field used to inject configuration.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Object instance, org.apache.tamaya.Configuration config)` Actually calls the annotated method on the instance, hereby passing the configuration values evaluated.
    `Field` | `getAnnotatedField()` Get the annotated field.
    `Collection<String>` | `getConfiguredKeys()` Get a list of all target keys for the given field.
    `String` | `getName()` Get the field's name.
    `String` | `getSignature()` Get the field's full signature.
    `Class<?>` | `getType()` Get the field's type.

- - ### Method Detail

    - #### getType

          Class<?> getType()

      Get the field's type.
      Returns:
        the field type, never null.

    - #### getConfiguredKeys

          Collection<String> getConfiguredKeys()

      Get a list of all target keys for the given field. The first resolvable key normally determines the configuration value injected.
      Returns:
        a list of evaluated keys.

    - #### getName

          String getName()

      Get the field's name.
      Returns:
        the name, not null.

    - #### getSignature

          String getSignature()

      Get the field's full signature.
      Returns:
        the signature, not null.

    - #### getAnnotatedField

          Field getAnnotatedField()

      Get the annotated field.
      Returns:
        the field, not null.

    - #### configure

          void configure(Object instance,
                       org.apache.tamaya.Configuration config)

      Actually calls the annotated method on the instance, hereby passing the configuration values evaluated.
      Parameters:
        `instance` - the instance, not null.
        `config` - the configuration, not null.

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.